#include <bits/stdc++.h>

using namespace std;

int f(int a[],int l,int r)
{
    int br=0;
    for(l++;l<=r;l++)
    {
        if(a[l-1]>a[l])br++;
        if(br==2) return 0;
    }
    return 1;
}

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    int n;
    cin>>n;
    int a[n];
    for(int i=0;i<n;i++) cin>>a[i];
    int q,o=0;
    cin>>q;
    int odg[q];
    for(int i=0;i<q;i++)
    {
        int x,y;
        cin>>x>>y;
        odg[o]=f(a,x-1,y-1);
        o++;
    }
    for(int i=0;i<q;i++)
    {
        if(odg[i]) cout<<"DA"<<endl;
        else cout<<"NE"<<endl;
    }
    return 0;
}